=== vpnplugins/CMakeLists.txt ===
add_subdirectory(openvpn)
add_subdirectory(novellvpn)
add_subdirectory(pptp)
add_subdirectory(strongswan)
add_subdirectory(vpnc)
