=== debian/changelog ===
networkmanagement (0.1+git20110422.810bc16-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * No source changes needed.

 -- Modestas Vainius <modax@debian.org>  Wed, 01 Jun 2011 15:53:03 +0300

networkmanagement (0.1+git20110422.810bc16-1) unstable; urgency=low

  * New upstream Git snapshot 810bc16 (from master branch).
  * Make the package binNMUable against KDE SC 4.6:
    - build depend on mobile-broadband-provider-info and add it to knm-runtime
      Depends (KDE SC 4.6 only);
    - network.svgz is not shipped when plasma-widget-networkmanager is
      built against KDE SC 4.5. Install it only if it exists.
  * Rename source package to networkmanagement (according to the name of the
    upstream git repository).
  * Fix links to the upstream VCS repository in debian/copyright.
  * Point Vcs-* fields to the new location of packaging VCS.
  * Use my @debian.org address in debian/control and debian/copyright.
  * Update packaging section in debian/copyright.
  * Convert network-manager-kde to the transitional package for
    plasma-widget-networkmanagement.
  * Merge knm-runtime package into plasma-widget-networkmanager. It no longer
    makes sense after sunset of the network-manager-kde package.
  * Make some consmetic changes in debian/rules.
  * Bump Standards-Version to 3.8.2: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Fri, 22 Apr 2011 23:29:42 +0300

plasma-widget-networkmanagement (0.1+git20110318.941cde9-2) unstable; urgency=medium

  * Drop topgit support.
  * Drop README.source, obsolelte and not needed anymore.
  * Ship usr/share/kde4/apps/desktoptheme/default/icons/network.svgz
    uncompressed as network.svg in order to avoid file conflict with
    kdebase-runtime-data (>= 4:4.5) but still keep compatibility with
    KDE SC 4.4
  * Urgency=medium, shorten package aging as changes cannot break much.

 -- Modestas Vainius <modax@debian.org>  Wed, 30 Mar 2011 02:55:20 +0300

plasma-widget-networkmanagement (0.1+git20110318.941cde9-1) unstable; urgency=low

  * New upstream Git snapshot 941cde971277611da2575fc2dfccde01c4bbe564.
    - Fixes crash on NetworkManager restart. (Closes: #590589)
    - Correctly enable/disable wireless depending on the rfkill state and the
      user settting. (Closes: #618761)
  * debian/plasma-widget-networkmanagement.install
    - Install new plasma_engine_networkmanagement.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Mar 2011 13:31:50 +0100

plasma-widget-networkmanagement (0.1~svn1175124-1) unstable; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: scripty
    - Last Changed Rev: 1175124
    - Last Changed Date: 2010-09-14 11:30:18 +0200
  * Bump Standards-Version to 3.9.1. No further changes.
  * Drop old Conflicts/Replaces: plasma-applet-networkmanager. No longer
    required.
  * Drop outdated debian/bug-presubj.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Sep 2010 23:26:24 +0200

plasma-widget-networkmanagement (0.1~svn1141976-1) unstable; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: pino
    - Last Changed Rev: 1141976
    - Last Changed Date: 2010-06-24 00:51:12 +0200

 -- Michael Biebl <biebl@debian.org>  Thu, 24 Jun 2010 03:52:15 +0200

plasma-widget-networkmanagement (0.1~svn1133205-1) unstable; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: scripty
    - Last Changed Rev: 1133205
    - Last Changed Date: 2010-06-01 10:39:08 +0200
  * debian/control
    - Drop Build-Depends on libknotificationitem-1-dev which was merged and
      renamed in kde4libs 4.4. (Closes: #584360)
  * debian/rules
    - Set -DINSTALL_KNM_AUTOSTART=ON to enable installation of knetworkmanager
      autostart file.
  * Re-add plasma-widget-networkmanagement package.
  * Move the networkmanagement kded module from knm-runtime to
    plasma-widget-networkmanagement. The kded service is not used by
    knetworkmanager and actually breaks knetworkmanager due to being
    auto-loaded and claiming the NetworkManagerUserSettings bus name.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Jun 2010 12:39:10 +0200

plasma-widget-networkmanagement (0.1~svn1125524-1) unstable; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: lvsouza
    - Last Changed Rev: 1125524
    - Last Changed Date: 2010-05-11 18:34:09 +0200
    - Fixes placement of the systray applet context menu. (Closes: #580530)
  * debian/patches/01-qt4.5-compat.patch
    - Drop the Qt 4.5 compat patch again now that we have a recent enough
      version in unstable and testing.
  * debian/control
    - Bump Build-Depends on libqt4-dev to (>= 4:4.6.0).
    - Bump Build-Depends on kdelibs5-dev and kdebase-workspace-dev to
      (>= 4:4.4.0)
  * debian/knm-runtime.install
    - Simplify install file by using wildcards where appropriate.
    - Install new strongswan VPN plugin.

 -- Michael Biebl <biebl@debian.org>  Thu, 13 May 2010 02:02:57 +0200

plasma-widget-networkmanagement (0.1~svn1088283-1) unstable; urgency=medium

  * New upstream development snapshot:
    - Last Changed Author: scripty
    - Last Changed Rev: 1088283
    - Last Changed Date: 2010-02-10 14:11:26 +0100

  [ Michael Biebl ]
  * debian/patches/01-qt4.5-compat.patch
    - Remove Qt 4.6 specific features so it compiles with Qt 4.5.
  * debian/control
    - Lower Build-Depends on libqt4-dev to (>= 4:4.5.0).
    - Bump Standards-Version to 3.8.4. No further changes.
  * Drop the plasma-widget-networkmanagement binary package for now as it not
    yet stable enough. Add Conflicts to network-manager-kde so it is removed
    on upgrades.

  [ Modestas Vainius ]
  * Enable parallel building - pass --parallel to dh.

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Feb 2010 14:46:25 +0100

plasma-widget-networkmanagement (0.1~svn1075616-1) experimental; urgency=low

  [ Modestas Vainius ]
  * Remove DMUA field from debian/control. I'm a DD now.

  [ Michael Biebl ]

