=== debian/control ===
Source: networkmanagement
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libqt4-dev (>= 4:4.6.0), kdelibs5-dev (>= 4:4.4.0), kdebase-workspace-dev (>= 4:4.4.0),
 network-manager-dev (>= 0.7.0), libnm-util-dev (>= 0.7.0), mobile-broadband-provider-info
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/networkmanagement.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/networkmanagement.git

Package: plasma-widget-networkmanagement
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.7.0),
 mobile-broadband-provider-info
Suggests: kdebase-workspace-bin
Recommends: kwalletmanager, network-manager-vpnc, network-manager-openvpn, network-manager-pptp
Replaces: knm-runtime
Breaks: knm-runtime
Description: Network Management widget for KDE4 Plasma
 This package contains the Network Management plasma widget which aims to
 provide a fully featured GUI for managing networks.  Currently, the only
 supported backend is NetworkManager.  Support for wired, wireless, GSM
 and VPN networks are provided.  The widget is exclusively written for Plasma
 and KDE4 and it is not supposed to work in other environments.
 .
 This widget needs Plasma shell to be usable. Main KDE 4 Plasma shell is
 available in the kdebase-workspace-bin package. The user friendly name of the
 widget is "Network Management" (in e.g. "Add Widgets" dialog).

Package: network-manager-kde
Architecture: any
Depends: ${misc:Depends}, plasma-widget-networkmanagement
Description: transitional package for plasma-widget-networkmanagement
 This is a dummy transitional package for plasma-widget-networkmanagement. You
 may safely remove it.

Package: plasma-widget-networkmanagement-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, plasma-widget-networkmanagement (= ${binary:Version})
Recommends: kdelibs5-dbg
Suggests: kdebase-workspace-dbg
Description: debugging symbols for KDE Network Management
 This package provides debugging symbols for all binary packages built from the
 plasma-widget-networkmanagement source package. It's highly recommended to
 have this package installed before reporting any crashes.
