=== debian/changelog ===
networkmanagement (0.9~git20111126.1ef1677-1) unstable; urgency=low

  * New upstream Git snapshot 1ef1677fb9132a19c047d5b1a889213941094197 from
    the nm09 branch (0.9.0 rc3).

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Nov 2011 17:35:26 +0100

networkmanagement (0.9~git20111103.1240c6f-1) unstable; urgency=low

  * New upstream Git snapshot 1240c6f6f83d6a0502f659c7c49fe6d03ecb917f from
    the nm09 branch (0.9.0 rc2).

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Nov 2011 13:25:44 +0100

networkmanagement (0.9~git20111002.90c59c3-1) unstable; urgency=low

  * New upstream Git snapshot 90c59c37c68920a44860ff5b8f7bcc146850efcf from
    the nm09 branch (0.9.0 beta1).

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Oct 2011 04:12:45 +0200

networkmanagement (0.9~git20110916.28b3101-1) unstable; urgency=low

  * New upstream Git snapshot 28b3101aa4a25dc15e13fed926aff27d62d9346c from
    the nm09 branch.
  * On upgrades tell update-notifier to show a reboot-required notification
    since older versions of plasma-widget-networkmanagement will no longer
    work with network-manager 0.9 and need to be restarted.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Sep 2011 21:20:12 +0200

networkmanagement (0.9~git20110904.06145dc-1) experimental; urgency=low

  * New upstream Git snapshot 06145dcffeb34cb68f7ff098db8cf590d63fa52e from
    the nm09 branch.
  * Remove debian/patches/01-no-x11-libs.patch, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Sep 2011 23:09:08 +0200

networkmanagement (0.9~git20110901.2144cb1-1) experimental; urgency=low

  * New upstream Git snapshot 2144cb1b554d6b3e9b9e7fb54bcf579d2336524d from
    the nm09 branch.
  * Bump Build-Depends on network-manager-dev and libnm-util-dev to
    (>= 0.9.0).
  * Bump Depends on network-manager to (>= 0.9.0).
  * Bump debhelper compatibililty level to 8.
  * Install solid backend for NetworkManager 0.9.
  * debian/patches/01-no-x11-libs.patch: Avoid linking against libX11 and
    libXrandr as the solidcontrol library does not actually need it.

 -- Michael Biebl <biebl@debian.org>  Fri, 02 Sep 2011 23:17:12 +0200

networkmanagement (0.1+git20110727.96f5505-1) unstable; urgency=low

  * New upstream Git snapshot 96f55055cc0651dbaaa405b5c6468ed6fa620e2c:
    - WPA Enterprise is reported working in this release. (Closes: #578101)
    - OpenVPN support can ask for a password now. (Closes: #574901)

 -- Modestas Vainius <modax@debian.org>  Thu, 28 Jul 2011 15:07:43 +0300

networkmanagement (0.1+git20110526.911025d-1) unstable; urgency=low

  [ Modestas Vainius ]
  * Use official KDE branding in the package descriptions.

  [ Michael Biebl ]
  * New upstream Git snapshot 911025d81fdfbe09b64705e94e5411f521c38e3e.
  * debian/control
    - Bump Build-Depends on kdelibs5-dev and kdebase-workspace-dev to
      (>= 4:4.6.0).
    - Bump Build-Depends on network-manager-dev and libnm-util-dev to
      (>= 0.8.1).
    - Bump Depends on network-manager to (>= 0.8.1).

 -- Michael Biebl <biebl@debian.org>  Fri, 27 May 2011 12:18:25 +0200
