## networkmanagement 0.9~git20120122.edc9568

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,6 @@
 
 find_package(NetworkManager ${MINIMUM_NM_VERSION_REQUIRED})
 
-macro_log_feature(NETWORKMANAGER_FOUND "NetworkManager headers" "User controllable networking" "http://projects.gnome.org/NetworkManager" FALSE "0.9" "Needed for NetworkManager support in Network Management")
 if (NETWORKMANAGER_FOUND)
     find_package(GLIB2 REQUIRED)
 
@@ -59,16 +58,11 @@
         #add_subdirectory(monolithic)
 
         install( FILES networkmanagement.notifyrc DESTINATION ${DATA_INSTALL_DIR}/networkmanagement )
-
-        if (DBUS_SYSTEM_POLICY_DIR)
-            install( FILES NetworkManager-kde4.conf DESTINATION ${DBUS_SYSTEM_POLICY_DIR})
-        else (DBUS_SYSTEM_POLICY_DIR)
-            message(STATUS "It is necessary to specify the directory where the client policy file for NetworkManager-kde4 is installed as DBUS_SYSTEM_POLICY_DIR.  Normally this is /etc/dbus-1/system.d on a Linux system")
-        endif (DBUS_SYSTEM_POLICY_DIR)
     else()
-        message("ERROR: NetworkManager version '${NETWORKMANAGER_VERSION}' does not match minimum required (${MINIMUM_NM_VERSION_REQUIRED})")
-        return()
+        message(FATAL_ERROR "ERROR: NetworkManager version '${NETWORKMANAGER_VERSION}' does not match minimum required (${MINIMUM_NM_VERSION_REQUIRED})")
     endif()
+else(NETWORKMANAGER_FOUND)
+    message(FATAL_ERROR "ERROR: NetworkManager headers >= ${MINIMUM_NM_VERSION_REQUIRED} not installed. http://projects.gnome.org/NetworkManager/")
 endif(NETWORKMANAGER_FOUND)
 
 if(INSTALL_KNM_AUTOSTART)
