=== debian/changelog ===
networkmanagement (0.9~git20120122.edc9568-1) unstable; urgency=low

  * New upstream Git snapshot edc9568628f799e7b1faa9d0ddfa10e3b43b4af9 from
    the nm09 branch.
  * Stop installing the D-Bus policy file. It's no longer required.

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Jan 2012 08:16:59 +0100
